package com.common.base.module.shiro.service;


import com.common.base.common.ResultVO;
import com.common.base.module.shiro.FtToken;

import java.util.Date;

/**
 * @author lhc
 */
public interface ShiroService {

    ResultVO createToken(String userId,String token, Date expireTime);

    ResultVO logout(String accessToken);

    FtToken findByToken(String accessToken);

    Object findByUserId(String userId);
}
